%global	rubyabi	1.8

%global	repoid		73549
%global	majorver	0.10.5
%global	preminorver	.rc1

%global	rpmminorver	%(echo %preminorver | sed -e 's|^\\.\\.*||')

# Upstream SCM: using SVN
# SVN path: svn://rubyforge.org/var/svn/ruby-debug/trunk
# tar czf %%gemname-%%majorver%%preminorver.tar.gz trunk/
%global	using_svn	0
%if 0%{?using_svn} > 0
%global	svnver		svn952_trunk
%global	preminorver	%(echo %svnver | sed -e 's|_trunk||')
%endif

%global	gemdir		%(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global	gemname	ruby-debug
%global	geminstdir	%{gemdir}/gems/%{gemname}-%{majorver}%{?preminorver}

%global	mainrel	3

Summary:	Command line interface (CLI) for ruby-debug-base
Name:		rubygem-%{gemname}
Version:	%{majorver}
Release:	%{?preminorver:0.}%{mainrel}%{?preminorver:.%rpmminorver}%{?dist}.1
Group:		Development/Languages
License:	BSD
URL:		http://rubyforge.org/projects/ruby-debug/
%if 0%{?using_svn}
Source0:	%{gemname}-%{majorver}%{?svnver}.tar.gz
%else
#Source0:	http://rubygems.org/gems/%%{gemname}-%%{version}.gem
# rc release not hosted on rubygems.org yet, using rubyforge.org site
# Also gem is not released for rc version, so for now using tar ball
Source0:	http://rubyforge.org/frs/download.php/%{repoid}/%{gemname}-%{majorver}%{?preminorver}.gem
%endif

Requires:	ruby(abi) = %{rubyabi}
Requires:	rubygem(columnize)
Requires:	rubygem(ruby-debug-base) >= 0.10.5
BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	rubygems
# For check
BuildRequires:	rubygem(columnize)
BuildRequires:	rubygem(rake)
BuildRequires:	rubygem(rake-compiler)
BuildRequires:	rubygem(ruby-debug-base) >= 0.10.5
BuildRequires:	rubygem(rdoc)

Provides:	rubygem(%{gemname}) = %{version}-%{release}
BuildArch:	noarch

%description
ruby-debug is a fast implementation of the standard debugger debug.rb.
The faster execution speed is achieved by utilizing a new hook in the
Ruby C API.

This package contains a generic command line interface for ruby-debug-base.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description	doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T

%if 0
tar xzf %{SOURCE0}
# As rc version of gem is not released yet, now creating gem from tarball
#pushd %{gemname}-%{majorver}%{?preminorver}/
pushd trunk

# Fix version (until formal gem or tarball is released by upstream)
sed -i.ver \
	-e '/DEBUG_VERSION/s|"%{majorver}.*"|"%{majorver}%{?preminorver}"|' \
	ext/ruby_debug.c

rake --verbose pkg/ruby-debug-%{majorver}%{?preminorver}.gem
popd
%endif

mkdir -p .%{gemdir}
gem install \
	--local \
	--install-dir .%{gemdir} \
	--force \
	--rdoc \
	-V \
%if 1
	%{SOURCE0}
%else
	*/pkg/ruby-debug-%{majorver}%{?preminorver}.gem
%endif

# rpmlint issue / cleanups
chmod 0644 .%{gemdir}/cache/*.gem
rm -f .%{geminstdir}/.require_paths

# Remaining rpmlint issue
# Removing shebangs on non-executable files in test/ breaks test, so not fixing this
# Also zero-length files are needed for test

# ???
%_fixperms .

# Make development version ruby-debug compatible with stable
# ruby-debug-base (bug 674104)
%global	rubybasever	0.10.4
sed -i \
	-e '/dependency.*ruby-debug-base/s|"~>.*"|">= %{rubybasever}"|' \
	./%{gemdir}/specifications/%{gemname}-%{majorver}%{?preminorver}.gemspec \
	./%{geminstdir}/Rakefile

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* \
	%{buildroot}%{gemdir}/

# bindir
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}/
rmdir %{buildroot}%{gemdir}/bin
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x

%check
pushd .%{geminstdir}
rake test --verbose --trace
popd

%files
%defattr(-,root,root,-)
%{_bindir}/rdebug

%dir	%{geminstdir}
%doc	%{geminstdir}/[A-Z]*
%exclude	%{geminstdir}/Rakefile
%{geminstdir}/bin/
%{geminstdir}/cli/
%{gemdir}/cache/%{gemname}-%{majorver}%{?preminorver}.gem
%{gemdir}/specifications/%{gemname}-%{majorver}%{?preminorver}.gemspec


%files	doc
%defattr(-,root,root,-)
%{gemdir}/doc/%{gemname}-%{majorver}%{?preminorver}/
%{geminstdir}/Rakefile
%{geminstdir}/rdbg.rb
#%%{geminstdir}/runner.sh
%{geminstdir}/doc/
%{geminstdir}/test/

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.5-0.3.rc1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov  9 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.10.5-0.3.rc1
- 0.10.5 rc1

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.5-0.2.dev.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb  1 2011  Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.10.5-0.2.dev
- Fix issue with "gem ruby-debug" with current ruby-debug-base
  (bug 674104)

* Fri Dec 10 2010  Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.10.5-0.1.dev
- 0.10.5dev

* Fri Oct 29 2010  Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.10.4-1
- 0.10.4

* Fri Oct 22 2010  Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.10.4-0.6.rc2
- 0.10.4 rc3

* Mon Oct 18 2010  Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.10.4-0.5.rc2
- 0.10.4 rc2 

* Tue Sep 21 2010  Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.10.4-0.4.svn952_trunk
- Try using latest svn

* Mon Sep 13 2010  Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.10.4-0.3.rc1
- Fix shebang

* Thu Sep 09 2010  Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.10.4-0.2.rc1
- release++

* Mon Sep 06 2010  Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.10.4-0.1.rc1
- 0.10.4 rc1
- Using rubyforge.org hosted tarball for now, recreating gem from tarball

* Mon Sep 06 2010  Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.10.3-1
- Initial package


